
Name:       perl-Devel-GlobalDestruction-XS
Version:    0.01
Release:    1%{?dist}.anvil
License:    CHECK(GPL+ or Artistic)
Group:      Development/Libraries
Summary:    Faster implementation of the Devel::GlobalDestruction API
Source:     http://search.cpan.org/CPAN/authors/id/R/RI/RIBASUSHI/Devel-GlobalDestruction-XS-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Devel-GlobalDestruction-XS
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is an XS backend for the Devel::GlobalDestruction manpage and should
be used through that module.

Rebuilt for the Anvil! HA platform.





%prep
%setup -q -n Devel-GlobalDestruction-XS-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" INSTALLVENDORLIB=%{perl_vendorlib} INSTALLVENDORMAN3DIR=%{_mandir}/man3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto
%{_mandir}/man3/*.3*

%changelog
* Tue Dec 23 2014 %{packager} 0.01-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.6)
